range_queries Namespace Reference

Algorithms and Data Structures that support range queries and updates. More...

## Classes

class | perSegTree
| Range query here is range sum, but the code can be modified to make different queries like range max or min. More...

## Detailed Description

Algorithms and Data Structures that support range queries and updates.

Range Queries algorithms.

Range queries algorithms.

for IO operations to manage dynamic memory for std::vector